Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063620 - [RFE] Collapse/Expand-all buttons from SystemTree are not working properly
Summary: [RFE] Collapse/Expand-all buttons from SystemTree are not working properly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: bugs@ovirt.org
QA Contact: bugs@ovirt.org
URL:
Whiteboard: ux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 07:00 UTC by Pavel Stehlik
Modified: 2015-04-01 12:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-29 09:06:11 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1099828 None None None Never

Internal Links: 1099828

Description Pavel Stehlik 2014-02-11 07:00:18 UTC
Description of problem:
 In SystemTree Collapse/Expand-all buttons do their work only for subsequent entities. In case Storage entity is selected, only those under Storage are Expanded/Collapsed - the rest (eg Networks) are not affected. It means to have ALL entities expanded, user have to select first entity System. 

Version-Release number of selected component (if applicable):
ovirt-engine-webadmin-portal-3.4.0-0.7.beta2.el6.noarch

How reproducible:


Steps to Reproduce:
1. try select Storage & press Expand/Collapse all buttons.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Einav Cohen 2014-02-12 22:10:45 UTC
this behavior is by design (see bug 879291), I understand the confusing user experience here though.

Comment 2 Kobi 2014-07-01 08:54:01 UTC
same is on ovirt 3.5 beta

Comment 3 Itamar Heim 2015-03-29 09:06:11 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.